Skip to main content
POST
/
v3
/
async
/
kling-v3.0-pro-t2v
Kling v3.0 Pro Text-to-Video
curl --request POST \
  --url https://api.novita.ai/v3/async/kling-v3.0-pro-t2v \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>' \
  --data '
{
  "sound": true,
  "prompt": "<string>",
  "duration": 123,
  "cfg_scale": 123,
  "aspect_ratio": "<string>",
  "multi_prompt": [
    "<string>"
  ],
  "negative_prompt": "<string>"
}
'
import requests

url = "https://api.novita.ai/v3/async/kling-v3.0-pro-t2v"

payload = {
"sound": True,
"prompt": "<string>",
"duration": 123,
"cfg_scale": 123,
"aspect_ratio": "<string>",
"multi_prompt": ["<string>"],
"negative_prompt": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
sound: true,
prompt: '<string>',
duration: 123,
cfg_scale: 123,
aspect_ratio: '<string>',
multi_prompt: ['<string>'],
negative_prompt: '<string>'
})
};

fetch('https://api.novita.ai/v3/async/kling-v3.0-pro-t2v', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "task_id": "<string>"
}
Kling v3.0 Pro Text-to-Video generates high-quality videos from text prompts with natural motion and smooth scene dynamics. Supports flexible duration from 3 to 15 seconds, audio-video co-generation, and multi-shot video generation.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.

Request Headers

Content-Type
string
required
Supports: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

sound
boolean
default:false
Whether to generate audio simultaneously when generating video.
prompt
string
required
Text prompt for video generation describing scene motion, camera moves, actions, voice style, ambience, and sound effects; must not exceed 2500 characters. Mutually exclusive with multi_prompt.Length limit: 0 - 2500
duration
integer
default:5
Duration of generated video in seconds. Supports flexible duration from 3 to 15 seconds.Value range: [3, 15]
cfg_scale
number
Controls the flexibility of video generation. Higher values result in generated content more closely following the prompt; lower values produce more natural motion.Value range: [0, 1]
aspect_ratio
string
default:"16:9"
Aspect ratio of the generated video.Optional values: 16:9, 9:16, 1:1
multi_prompt
string[]
List of prompts for multi-shot video generation. Divides video into multiple shots. Mutually exclusive with prompt.
negative_prompt
string
Negative prompt specifying elements to avoid in visuals and audio; must not exceed 2500 characters.Length limit: 0 - 2500

Response

task_id
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on July 3, 2026